/********************************************************************************
 *	string.h
 *
 *	String Handling Header
 *
 *	Written by Paco Xander Nathan
 *	1990, Motorola Inc.  Public domain source code.
 ********************************************************************************/


#define _H_string


#define	NullStr		(StringPtr) "\p "


typedef enum {
	strsConverse = RSRCBASE, strsColors, strsInfo, strsAnalyze
} StringListRsrc;


typedef enum {
	strApplName = 1, strUntitled, strNoMem, strExitGrace, strMemFail,
	strDontPanic, strFileErr, strDocMod, strDocSave, strSaveAs, strRevert,
	strQuestion
} StringRsrcIndices;


/* External Function Prototypes
 */
#ifdef PROTOTYPES
void StrPCpy (StringPtr p1, StringPtr p2);
OSErr StrGetChooser (StringPtr theName);

short sprintf (char *, ...);
short sscanf (char *, ...);
char *strchr(char *s, char c);
short strcmp (char *s1, char *s2);
short strlen (char *s);
short strncmp (char *s1, char *s2, short n);
char *strncpy (char *s1, char *s2, short n);
char *strrchr (char *s, char c);
#endif